### Class method

# Gtk WidgetClassadd_binding_action

#### Declaration [src]

    void
    gtk_widget_class_add_binding_action (
      GtkWidgetClass* widget_class,
      guint keyval,
      GdkModifierType mods,
      const char* action_name,
      const char* format_string,
      ...
    )

#### Description [src]

Creates a new shortcut for `widget_class` that activates the given `action_name` with arguments read according to `format_string`.

The arguments and format string must be provided in the same way as with g_variant_new().

This function is a convenience wrapper around `gtk_widget_class_add_shortcut()` and must be called during class initialization.

This method is not directly available to language bindings.

#### Parameters

`keyval`

  Type: `guint`

  Key value of binding to install.

`mods`

  Type: `GdkModifierType`

  Key modifier of binding to install.

`action_name`

  Type: `const char*`

  The action to activate.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`format_string`

  Type: `const char*`

  GVariant format string for arguments or `NULL` for no arguments.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments, as given by format string.